clang 10.0.0git

Public Types | Public Member Functions | List of all members
clang::InputKind Class Reference

The kind of a file that we've been handed as an input. More...

`#include "clang/Frontend/FrontendOptions.h"`

## Public Types
enum | Format { Source, ModuleMap, Precompiled }
| The input file format. More...

## Public Member Functions
constexpr | InputKind (Language L=Language::Unknown, Format F=Source, bool PP=false)
Language | getLanguage () const
Format | getFormat () const
bool | isPreprocessed () const
bool | isUnknown () const
| Is the input kind fully-unknown? More...
bool | isObjectiveC () const
| Is the language of the input some dialect of Objective-C? More...
InputKind | getPreprocessed () const
InputKind | withFormat (Format F) const

## Detailed Description

The kind of a file that we've been handed as an input.

Definition at line 144 of file FrontendOptions.h.

## Member Enumeration Documentation

## ◆ Format

enum clang::InputKind::Format

The input file format.

Enumerator
Source |
ModuleMap |
Precompiled |

Definition at line 152 of file FrontendOptions.h.

## Constructor & Destructor Documentation

## ◆ InputKind()

constexpr clang::InputKind::InputKind | ( | Language | L = `Language::Unknown`,
|  | Format | F = `Source`,
|  | bool | PP = `false`
| ) |  |
| inline

Definition at line 158 of file FrontendOptions.h.

## Member Function Documentation

## ◆ getFormat()

Format clang::InputKind::getFormat | ( |  | ) | const
| inline

Definition at line 163 of file FrontendOptions.h.

Referenced by clang::FrontendAction::BeginSourceFile(), clang::CompilerInstance::InitializeSourceManager(), and ParseFrontendArgs().

## ◆ getLanguage()

Language clang::InputKind::getLanguage | ( |  | ) | const
| inline

Definition at line 162 of file FrontendOptions.h.

Referenced by clang::FrontendAction::BeginSourceFile(), GetInputKindName(), getOptimizationLevel(), and clang::CompilerInvocation::setLangDefaults().

## ◆ getPreprocessed()

InputKind clang::InputKind::getPreprocessed | ( |  | ) | const
| inline

Definition at line 174 of file FrontendOptions.h.

Referenced by ParseFrontendArgs().

## ◆ isObjectiveC()

bool clang::InputKind::isObjectiveC | ( |  | ) | const
| inline

Is the language of the input some dialect of Objective-C?

Definition at line 170 of file FrontendOptions.h.

References AttributeLangSupport::ObjC.

Referenced by clang::CompilerInvocation::setLangDefaults().

## ◆ isPreprocessed()

bool clang::InputKind::isPreprocessed | ( |  | ) | const
| inline

Definition at line 164 of file FrontendOptions.h.

Referenced by clang::FrontendInputFile::isPreprocessed().

## ◆ isUnknown()

bool clang::InputKind::isUnknown | ( |  | ) | const
| inline

Is the input kind fully-unknown?

Definition at line 167 of file FrontendOptions.h.

References clang::prec::Unknown.

Referenced by ParseFrontendArgs().

## ◆ withFormat()

InputKind clang::InputKind::withFormat | ( | Format | F | ) | const
| inline

Definition at line 178 of file FrontendOptions.h.

Referenced by ParseFrontendArgs().

The documentation for this class was generated from the following file:

- include/clang/Frontend/FrontendOptions.h